---
remove_directories:
  - Templates
  - Videos
  - Documents
  - Music
  - Downloads
  - Pictures
  - Public
  - Desktop

create_directories:
  - data
  - data/todo
  - code
  - dls
  - music
  - .config
  - .local/share
  - .local/share/bin

init_users:
  opal:
    name: opal
    group: opal
    groups: 
      - sudo
    state: present
    shell: /bin/bash
    create_home: true

packages:
  - bash
  - dmenu
  - sway
  - sway-contrib
  - swaybg
  - swaylock
  - swayidle
  - newsboat
  - alacritty
  - dunst
  - pipewire
  - wireplumber
  - gnupg
  - trash-cli
  - grim
  - grimshot
  - brightnessctl
  - wlogout
  - wdisplays
  - wtype
  - cups
  - bluez
  - blueman
  - mpv
  - lf
  - gopass
  - neovim
  - less
  - git
  - stow
  - feh
  - zathura
  - pavucontrol
  - sshfs
  - wl-clipboard
  - python-adblock
  - font-noto-emoji
  - acpid
  - translate-shell
  - polkit
  - bc
  - libnotify
  - ffmpeg
  - ffmpegthumbnailer
  - mpd
  - ncmpcpp
  - noto-fonts
  - pipewire-pulse
  - yt-dlp
  - fzf
  - bat
  - man-db
  - gnome-keyring
  - ueberzugpp
  - ttf-dejavu
  - ttf-font-awesome
  - nsxiv
  - flatpak

flatpaks:
  - org.qutebrowser.qutebrowser
  - io.gitlab.librewolf-community
  - org.signal.Signal
  - com.brave.Browser

